<?php

namespace App\Controller;

use App\Entity\Account;
use App\Entity\AccountResetPasswordRequest;
use App\Form\RequestPasswordConfirmType;
use App\Form\RequestPasswordRequestType;
use App\Service\ResetPassword\Event\ResetPasswordConfirmEvent;
use App\Service\ResetPassword\Event\ResetPasswordEvent;
use Doctrine\ORM\EntityManagerInterface;
use Psr\EventDispatcher\EventDispatcherInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\PasswordHasher\Hasher\UserPasswordHasherInterface;
use Symfony\Component\Routing\Attribute\Route;
use Symfony\Component\Security\Http\Authentication\AuthenticationUtils;
use Twig\Environment;

class LegalController extends AbstractController
{

    #[Route(path: '/mentions-legal', name: 'app_legal', options: ['sitemap' => false], methods: ['GET'],priority: 5)]
    public function legalMentions(): Response
    {
        return $this->render('legal/legal.twig');
    }
    #[Route(path: '/cookies', name: 'app_cookies', options: ['sitemap' => false], methods: ['GET'],priority: 5)]
    public function cookies(): Response
    {
        return $this->render('legal/cookies.twig');
    }
    #[Route(path: '/hebergements', name: 'app_hosting', options: ['sitemap' => false], methods: ['GET'],priority: 5)]
    public function hosting(): Response
    {
        return $this->render('legal/hosting.twig');
    }
    #[Route(path: '/rgpd', name: 'app_rgpd', options: ['sitemap' => false], methods: ['GET'],priority: 5)]
    public function rgpd(): Response
    {
        return $this->render('legal/rgpd.twig');
    }
    #[Route(path: '/cgu', name: 'app_cgu', options: ['sitemap' => false], methods: ['GET'],priority: 5)]
    public function cgu(): Response
    {
        return $this->render('legal/cgu.twig');
    }
    #[Route(path: '/cgv', name: 'app_cgv', options: ['sitemap' => false], methods: ['GET'],priority: 5)]
    public function cgv(): Response
    {
        return $this->render('legal/cgv.twig');
    }
}
